# The tidyNode class

(PHP 5, PHP 7)

## Introduction

An HTML node in an HTML file, as detected by tidy.

## Class synopsis

final
tidyNode {
/* Properties */
public string $value;
public string $name;
public int $type;
public int $line;
public int $column;
public bool $proprietary;
public int $id;
public array $attribute;
public array $child;
/* Methods */
private __construct ( void )
public getParent ( void ) : tidyNode
public hasChildren ( void ) : bool
public hasSiblings ( void ) : bool
public isAsp ( void ) : bool
public isComment ( void ) : bool
public isHtml ( void ) : bool
public isJste ( void ) : bool
public isPhp ( void ) : bool
public isText ( void ) : bool
}

## Properties

value

  The HTML representation of the node, including the surrounding tags.

name

  The name of the HTML node

type

  The type of the node (one of the nodetype constants, e.g. `TIDY_NODETYPE_PHP`)

line

  The line number at which the tags is located in the file

column

  The column number at which the tags is located in the file

proprietary

  Indicates if the node is a proprietary tag

id

  The ID of the node (one of the tag constants, e.g. `TIDY_TAG_FRAME`)

attribute

  An array of string, representing the attributes names (as keys) of the current node.

child

  An array of tidyNode, representing the children of the current node.

Version | Description
--- | ---
5.1.0 | line, column and proprietary were added

## Table of Contents

- tidyNode::__construct — Private constructor to disallow direct instantiation
- tidyNode::getParent — Returns the parent node of the current node
- tidyNode::hasChildren — Checks if a node has children
- tidyNode::hasSiblings — Checks if a node has siblings
- tidyNode::isAsp — Checks if this node is ASP
- tidyNode::isComment — Checks if a node represents a comment
- tidyNode::isHtml — Checks if a node is part of a HTML document
- tidyNode::isJste — Checks if this node is JSTE
- tidyNode::isPhp — Checks if a node is PHP
- tidyNode::isText — Checks if a node represents text (no markup)